com.verisign.epp.codec.nv

## Class EPPNameVerificationInfoSignedCodeResult

- java.lang.Object
- - com.verisign.epp.codec.nv.EPPNameVerificationInfoSignedCodeResult

- All Implemented Interfaces:
    EPPCodecComponent, EPPNameVerificationInfoResult, java.io.Serializable, java.lang.Cloneable

      public class EPPNameVerificationInfoSignedCodeResult
      extends java.lang.Object
      implements EPPNameVerificationInfoResult

  Info result for a command for the signed code, where the `EPPNameVerificationInfoCmd` type is set to `EPPNameVerificationInfoCmd.Type.SIGNED_CODE`.
  See Also:
    `EPPNameVerificationInfoCmd`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPNameVerificationInfoSignedCodeResult`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPNameVerificationInfoSignedCodeResult`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameVerificationInfoSignedCodeResult()` `EPPNameVerificationInfoSignedCodeResult` default constructor.
    `EPPNameVerificationInfoSignedCodeResult(java.lang.String aCode, java.lang.String aType, EPPEncodedSignedCodeValue aSignedCode)` `EPPNameVerificationInfoSignedCodeResult` constructor that takes all required attributes.
    `EPPNameVerificationInfoSignedCodeResult(java.lang.String aCode, java.lang.String aType, EPPEncodedSignedCodeValue aSignedCode, EPPNameVerificationStatus aStatus, EPPAuthInfo aAuthInfo)` `EPPNameVerificationInfoSignedCodeResult` constructor that takes all attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPNameVerificationInfoSignedCodeResult`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPNameVerificationInfoSignedCodeResult` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPNameVerificationInfoSignedCodeResult` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPNameVerificationInfoSignedCodeResult` with this instance.
    `EPPAuthInfo` | `getAuthInfo()` Gets the OPTIONAL authorization information for the Name Verification (NV) object.
    `java.lang.String` | `getCode()` Gets the verification code value.
    `java.lang.String` | `getCodeType()` Gets the verification code type.
    `java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPNameVerificationInfoSignedCodeResult`.
    `EPPEncodedSignedCodeValue` | `getSignedCode()` Gets the signed code that provides proof of verification.
    `EPPNameVerificationStatus` | `getStatus()` Gets the verification status.
    `java.lang.String` | `getType()` Gets the EPP response type associated with `EPPNameVerificationInfoSignedCodeResult`.
    `void` | `setAuthInfo(EPPAuthInfo aAuthInfo)` Sets the authorization information for the Name Verification (NV) object.
    `void` | `setCode(java.lang.String aCode)` Sets the verification code value.
    `void` | `setCodeType(java.lang.String aType)` Sets the verification code type.
    `void` | `setSignedCode(EPPEncodedSignedCodeValue aSignedCode)` Sets the signed code that provides proof of verification.
    `void` | `setStatus(EPPNameVerificationStatus aStatus)` Sets the verification status.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPNameVerificationInfoSignedCodeResult`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPNameVerificationInfoSignedCodeResult`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPNameVerificationInfoSignedCodeResult

          public EPPNameVerificationInfoSignedCodeResult()

      `EPPNameVerificationInfoSignedCodeResult` default constructor.

    - #### EPPNameVerificationInfoSignedCodeResult

          public EPPNameVerificationInfoSignedCodeResult(java.lang.String aCode,
                                                         java.lang.String aType,
                                                         EPPEncodedSignedCodeValue aSignedCode)

      `EPPNameVerificationInfoSignedCodeResult` constructor that takes all required attributes.
      Parameters:
        `aCode` - The verification code value
        `aType` - The verification code type
        `aSignedCode` - Signed code providing proof of verification

    - #### EPPNameVerificationInfoSignedCodeResult

          public EPPNameVerificationInfoSignedCodeResult(java.lang.String aCode,
                                                         java.lang.String aType,
                                                         EPPEncodedSignedCodeValue aSignedCode,
                                                         EPPNameVerificationStatus aStatus,
                                                         EPPAuthInfo aAuthInfo)

      `EPPNameVerificationInfoSignedCodeResult` constructor that takes all attributes.
      Parameters:
        `aCode` - The verification code value
        `aType` - The verification code type
        `aSignedCode` - Signed code providing proof of verification
        `aStatus` - The verification status
        `aAuthInfo` - Authorization information for Name Verification (NV) object.

  - ### Method Detail

    - #### getCode

          public java.lang.String getCode()

      Gets the verification code value.
      Returns:
        Verification code value

    - #### setCode

          public void setCode(java.lang.String aCode)

      Sets the verification code value.
      Parameters:
        `aCode` - Verification code value.

    - #### getCodeType

          public java.lang.String getCodeType()

      Gets the verification code type.
      Returns:
        Verification code type

    - #### setCodeType

          public void setCodeType(java.lang.String aType)

      Sets the verification code type.
      Parameters:
        `aType` - The verification code type

    - #### getStatus

          public EPPNameVerificationStatus getStatus()

      Gets the verification status.
      Returns:
        Verification status

    - #### setStatus

          public void setStatus(EPPNameVerificationStatus aStatus)

      Sets the verification status.
      Parameters:
        `aStatus` - The verification status

    - #### getAuthInfo

          public EPPAuthInfo getAuthInfo()

      Gets the OPTIONAL authorization information for the Name Verification (NV) object.
      Returns:
        Authorization information if defined; `null` otherwise.

    - #### setAuthInfo

          public void setAuthInfo(EPPAuthInfo aAuthInfo)

      Sets the authorization information for the Name Verification (NV) object.
      Parameters:
        `aAuthInfo` - Authorization information of NV object.

    - #### getSignedCode

          public EPPEncodedSignedCodeValue getSignedCode()

      Gets the signed code that provides proof of verification.
      Returns:
        Signed code

    - #### setSignedCode

          public void setSignedCode(EPPEncodedSignedCodeValue aSignedCode)

      Sets the signed code that provides proof of verification.
      Parameters:
        `aSignedCode` - Signed code that provides proof of verification

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameVerificationInfoSignedCodeResult` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the EPPNameVerificationInfoSignedCodeResult instance.
      Throws:
        `EPPEncodeException` - Unable to encode EPPNameVerificationInfoSignedCodeResult instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPNameVerificationInfoSignedCodeResult` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameVerificationInfoSignedCodeResult` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameVerificationInfoSignedCodeResult`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPNameVerificationInfoSignedCodeResult`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getType

          public java.lang.String getType()

      Gets the EPP response type associated with `EPPNameVerificationInfoSignedCodeResult`.
      Returns:
        `EPPNameVerificationInfoSignedCodeResult.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPNameVerificationInfoSignedCodeResult`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        `EPPNameVerificationMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPNameVerificationInfoSignedCodeResult` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

Copyright © VeriSign Inc. All Rights Reserved.